import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';
import { symbol , symbolDiamond} from 'd3-shape';


console.log(symbolDiamond)
const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 20;
const RWidth = 20;
const Radius = 140;
const centerXMonth = width / 2;
const centerYMonth = 450;
const centerXEye1 = width / 2 -180;
const centerYEye1 = 60;
const centerXEye2 = width / 2 +180;
const centerYEye2 = 60;
const centerXH1 = 500;
const centerYH1 = 400;
const centerXH2 = 500;
const centerYH2 = 300;
const centerXH3 = 500;
const centerYH3 = 350;

const mouthArc = arc()
  .innerRadius(Radius)
  .outerRadius(Radius + RWidth)
  .startAngle(Math.PI* 11 / 5)
  .endAngle(Math.PI * 9 / 5);

const e1Arc = arc()
  .innerRadius(Radius)
  .outerRadius(Radius + RWidth)
  .startAngle(Math.PI* 5 / 5)
  .endAngle(Math.PI * 4 / 5);

const e2Arc = arc()
  .innerRadius(Radius)
  .outerRadius(Radius + RWidth)
  .startAngle(Math.PI* 5 / 5)
  .endAngle(Math.PI * 6 / 5);

const hair1 = arc()
  .innerRadius(402)
  .outerRadius(400)
  .startAngle(Math.PI* 10 / 5)
  .endAngle(Math.PI * 12 / 5);
const hair2 = arc()
  .innerRadius(302)
  .outerRadius(300)
  .startAngle(Math.PI* 10 / 5)
  .endAngle(Math.PI * 12 / 5);
const hair3 = arc()
  .innerRadius(352)
  .outerRadius(350)
  .startAngle(Math.PI* 10 / 5)
  .endAngle(Math.PI * 12 / 5);

const Eyes = symbol().type(symbolDiamond).size(90);

const App = () => (
  <svg width={width} height={height}>
    <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth / 2}
        fill="yellow"
        stroke="black"
        stroke-width={strokeWidth}
      />
     </g>
    <g transform={`translate(${centerXEye1},${centerYEye1})`}>
      <path d={e1Arc()}/>
    </g>
    <g transform={`translate(${centerXEye2},${centerYEye2})`}>
      <path d={e2Arc()}/>
    </g>
    <g transform={`translate(${centerXMonth},${centerYMonth})`}>
    	<path d={mouthArc()}/>
      <path d=" M -130 -30 L -130 -200" stroke="blue" stroke-width="30" fill="none"></path>
      <path d=" M 130 -30 L 130 -200" stroke="blue" stroke-width="30" fill="none"></path>
    </g>
    <g transform={`translate(${centerXH1},${centerYH1})`}>
      <path d={hair1()}/>
    </g>
    <g transform={`translate(${centerXH2},${centerYH2})`}>
      <path d={hair2()}/>
    </g>
    <g transform={`translate(${centerXH3},${centerYH3})`}>
      <path d={hair3()}/>
    </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);